#! /bin/bash
#
cc -g -w -c ladders.c
if [ $? -ne 0 ]; then
  echo "Errors compiling ladders.c"
  exit
fi
#
cc -g -w -c gb_dijk.c
if [ $? -ne 0 ]; then
  echo "Errors compiling gb_dijk.c"
  exit
fi
#
cc -g -w -c gb_flip.c
if [ $? -ne 0 ]; then
  echo "Errors compiling gb_flip.c"
  exit
fi
#
cc -g -w -c gb_graph.c
if [ $? -ne 0 ]; then
  echo "Errors compiling gb_graph.c"
  exit
fi
#
cc -g -w -c gb_io.c
if [ $? -ne 0 ]; then
  echo "Errors compiling gb_io.c"
  exit
fi
#
cc -g -w -c gb_sort.c
if [ $? -ne 0 ]; then
  echo "Errors compiling gb_sort.c"
  exit
fi
#
cc -g -w -c gb_words.c
if [ $? -ne 0 ]; then
  echo "Errors compiling gb_words.c"
  exit
fi
#
cc ladders.o gb_dijk.o gb_flip.o gb_graph.o gb_io.o gb_sort.o gb_words.o
if [ $? -ne 0 ]; then
  echo "Errors loading ladders.o+gb_dijk.o+gb_flip.o+gb_graph.o+gb_io.o+gb_sort.o+gb_words.o"
  exit
fi
#
rm ladders.o
rm gb_dijk.o
rm gb_flip.o
rm gb_io.o
rm gb_graph.o
rm gb_sort.o
rm gb_words.o
#
mv a.out ~/bin/$ARCH/ladders
#
echo "A new version of ladders has been created."

